Botan 1.10.17

Public Member Functions | List of all members
Botan::Hello_Request Class Reference

`#include <tls_messages.h>`

Inheritance diagram for Botan::Hello_Request:

## Public Member Functions
| Hello_Request (Record_Writer &)
| Hello_Request (const MemoryRegion< byte > &buf)
void | send (Record_Writer &, HandshakeHash &) const
Handshake_Type | type () const

## Detailed Description

Hello Request Message

Definition at line 211 of file tls_messages.h.

## Constructor & Destructor Documentation

## ◆ Hello_Request() [1/2]

Botan::Hello_Request::Hello_Request | ( | Record_Writer & | writer | ) |

Definition at line 39 of file hello.cpp.

References Botan::HandshakeMessage::send().

40 {
41 HandshakeHash dummy; // FIXME: *UGLY*
42 send(writer, dummy);
43 }
Botan::HandshakeMessage::send
void send(Record_Writer &, HandshakeHash &) const
Definition: hello.cpp:16

## ◆ Hello_Request() [2/2]

Botan::Hello_Request::Hello_Request | ( | const MemoryRegion< byte > & | buf | ) |
| inline

Definition at line 217 of file tls_messages.h.

217 { deserialize(buf); }

## Member Function Documentation

## ◆ send()

void Botan::HandshakeMessage::send | ( | Record_Writer & | writer,
|  | HandshakeHash & | hash
| ) |  | const
| inherited

Definition at line 16 of file hello.cpp.

References Botan::Record_Writer::flush(), Botan::HANDSHAKE, Botan::Record_Writer::send(), Botan::MemoryRegion< T >::size(), Botan::HandshakeMessage::type(), and Botan::HandshakeHash::update().

Referenced by Botan::Certificate::Certificate(), Botan::Certificate_Req::Certificate_Req(), Botan::Finished::Finished(), Hello_Request(), and Botan::Server_Hello_Done::Server_Hello_Done().

17 {
18 SecureVector<byte> buf = serialize();
19 SecureVector<byte> send_buf(4);
20
21 const size_t buf_size = buf.size();
22
23 send_buf[0] = type();
24
25 for(size_t i = 1; i != 4; ++i)
26 send_buf[i] = get_byte<u32bit>(i, buf_size);
27
28 send_buf += buf;
29
30 hash.update(send_buf);
31
32 writer.send(HANDSHAKE, &send_buf[0], send_buf.size());
33 writer.flush();
34 }
Botan::HANDSHAKE
Definition: tls_magic.h:36
Botan::HandshakeMessage::type
virtual Handshake_Type type() const =0

## ◆ type()

Handshake_Type Botan::Hello_Request::type | ( |  | ) | const
| inline virtual

Implements Botan::HandshakeMessage.

Definition at line 214 of file tls_messages.h.

References Botan::HELLO_REQUEST.

214 { return HELLO_REQUEST; }
Botan::HELLO_REQUEST
Definition: tls_magic.h:41

The documentation for this class was generated from the following files:

- src/ssl/tls_messages.h
- src/ssl/hello.cpp